set -x
# unix
gcc -g -shared -Wl,-soname,dll -o dll.so -fpic dll.c
gcc -g main.c -ldl -o main

# windows
# (you can crossbuild on gentoo; see http://en.gentoo-wiki.com/wiki/Mingw )
# only need .def file if you want to do early binding
#winebuild --def -E dll.spec -o dll.def

winegcc -g -shared dll.spec dll.c -o dll.dll.so
i686-pc-mingw32-gcc -g main.c -o main.exe

# Now make the winelib dll visible from wine by putting it in /usr/lib/wine
# or /usr/local/lib/wine or whatever
# e.g.
#sudo cp dll.dll.so /usr/local/lib/wine/
