#include <stdio.h>

int (*pconnect_to_site)(const char *, short, const char *);

#ifdef __linux__

#include <dlfcn.h>

extern int connect_to_site(const char *, short, const char *);

int main(int argc, char **argv)
{
    int rv;
    void *handle;

    handle = dlopen("./dll.so", RTLD_LAZY);
    pconnect_to_site = dlsym(handle, "connect_to_site");
    rv = pconnect_to_site("216.92.86.126", 80, "get /\n");
    printf("got %d\n", rv);
}

#endif

#ifdef _WIN32
#include <windows.h>

int CALLBACK WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR cmdline, int ncmdshow)
{
    int rv;
    HMODULE handle;

    handle = LoadLibrary("dll.dll");
    printf("handle is %p\n", handle);
    pconnect_to_site = GetProcAddress(handle, "connect_to_site");
    printf("function is %p\n", pconnect_to_site);
    rv = pconnect_to_site("216.92.86.126", 80, "get /\n");
    printf("got %d\n", rv);
}
#endif
